| Class Specialization Interval Tree Node An Interval Tree Node that stores intervals explicitely in each node.
IntervalTreeNode
Interval Tree Node
IntervalTreeNode<TInterval, StoreIntervals> Include Headers seqan/misc/misc_interval_tree.h Parameters
TInterval | The interval type to store in the node.
Specialization of IntervalTreeNode Metafunctions
Cargo | Type of additional data stored in an object. (IntervalTreeNode)
ListType | Type of lists in tree nodes. (IntervalTreeNode)
Value | Type of the items in the container or behind an iterator. (IntervalTreeNode)
Data Members
center | The center of the interval of type TValue. (IntervalTreeNode)
list1 | Sorted list of pointers to intervals, sorted in ascending according to their left boundary points. (IntervalTreeNode)
list2 | Sorted list of pointers to intervals, sorted in descending according to their right boundary points. (IntervalTreeNode)
Member Functions
IntervalTreeNode | Default constructor. (IntervalTreeNode)
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00